Bug 164461 - Duplication of ACL lookups
Summary: Duplication of ACL lookups
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn400
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-28 00:13 UTC by David Lutterkort
Modified: 2013-04-30 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 14:50:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Detailed trace of a page with ACL dupes (80.41 KB, text/html)
2005-07-28 00:17 UTC, David Lutterkort
no flags Details

Description David Lutterkort 2005-07-28 00:13:22 UTC
The Java code currently will happily look up the same ACL during a request
multiple times (see comment # 4 on bug 162535). We should add per-request
caching for ACLs to avoid this duplication.

Comment 1 David Lutterkort 2005-07-28 00:17:50 UTC
Created attachment 117220 [details]
Detailed trace of a page with ACL dupes

Comment 2 Brandon Perkins 2007-03-12 17:05:22 UTC
Move to Bugzilla Bug 218517: RHN 510 Hosted Triage Tracker.

Comment 3 Amanda Carter 2008-10-16 14:50:02 UTC
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.


Note You need to log in before you can comment on or make changes to this bug.